curl --request POST \
--url https://eu.phrase.com/connectors/github2/v1/async/list-files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Webhook: <x-webhook>' \
--data '
{
"configuration": {
"useTree": true,
"createPr": true,
"prBaseBranch": "<string>",
"prTitle": "<string>",
"newBranchOrigin": "<string>",
"useCustomBranchName": true,
"customBranchName": "<string>"
},
"path": {
"owner": "<string>",
"repo": "<string>",
"branch": "<string>"
},
"credentials": {},
"connectorUuid": "<string>",
"sourceLocale": "<string>"
}
'import requests
url = "https://eu.phrase.com/connectors/github2/v1/async/list-files"
payload = {
"configuration": {
"useTree": True,
"createPr": True,
"prBaseBranch": "<string>",
"prTitle": "<string>",
"newBranchOrigin": "<string>",
"useCustomBranchName": True,
"customBranchName": "<string>"
},
"path": {
"owner": "<string>",
"repo": "<string>",
"branch": "<string>"
},
"credentials": {},
"connectorUuid": "<string>",
"sourceLocale": "<string>"
}
headers = {
"X-Webhook": "<x-webhook>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Webhook': '<x-webhook>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
configuration: {
useTree: true,
createPr: true,
prBaseBranch: '<string>',
prTitle: '<string>',
newBranchOrigin: '<string>',
useCustomBranchName: true,
customBranchName: '<string>'
},
path: {owner: '<string>', repo: '<string>', branch: '<string>'},
credentials: {},
connectorUuid: '<string>',
sourceLocale: '<string>'
})
};
fetch('https://eu.phrase.com/connectors/github2/v1/async/list-files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "e48eda63-928c-4155-bez9-fdbsaadc15f3",
"webHookUrl": "https://example.tld/my-webhook"
}List content asynchronously
Authorizations
IDM-issued JWT. Obtain via the IDM authentication flow and pass as: Bearer
Headers
A logging ID of the request. It is propagated through Phrase systems, making it easier to connect logs from various services. If no ActionId is sent with a request, one will be generated by Bifrost and returned with the response.
Specify if the response should contain the processed object itself in an application/octet-stream body, or a application/json body with an ID that can be then used to retrieve the object using a /load-content endpoint. Note that for larger files (> 1 MB), it is advised to use the ID option which is also default.
Required on /async/... endpoints. Bifrost POSTs the operation result to this URL once the connector finishes processing.
Omitting this header on an async endpoint returns 400.
Body
Github2 configuration
Show child attributes
Show child attributes
Path within Github2 repository
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
Credentials for Github2 connector
Connector UUID if using stored credentials
Locale code, e.g. en, de
Response
Successful operation. If X-ResponseType is set to 'ID' or no value is sent in the header, the file is saved and can be retrieved by sending a GET request to this endpoint. If X-ResponseType is set to 'OBJECT', the file is returned as a stream.
Was this page helpful?